# frozen_string_literal: true

module Binance
  # Authentication response to API key and signature
  class Authentication
    def initialize(key, secret)
      @key = key
      @secret = secret
    end

    def key
      ENV['BINANCE_PUBLIC_API_KEY'] || @key
    end

    def secret
      ENV['BINANCE_PRIVATE_SECRET'] || @secret
    end
  end
end
