# frozen_string_literal: true

module Binance
  module Utils
    # Url Utils
    module Url
      module_function

      def build_query(params)
        params.map { |key, value| "#{key}=#{value}" }.join('&')
      end
    end
  end
end
