# frozen_string_literal: true

module Binance
  module Utils
    # Client side valiation
    class Validation
      class << self
        def require_param(param_name, param_value)
          raise Binance::RequiredParams.new(param_name, param_value) if param_value.nil?
          raise Binance::RequiredParams.new(param_name, param_value) if param_value.respond_to?(:to_str) && param_value.empty?
        end
      end
    end
  end
end
